{% extends "base.html" %}
{% block title %}Aide{% endblock %}
{% block content %}
<div class="row">
  <div class="col s1"></div>
  <div class="col s10">
    <div class="enezh4">Un peu d'aide et de documentation.</div>
    <p>Le menu principal propose les différents choix suivants :</p>
    <ul>

      <li>
        <br/>
        <div id="help_flux" class="enezh5"><i class="material-icons" style="color: #7b1fa2; position: relative; vertical-align: baseline; bottom: -0.15em;">list_alt</i>&nbsp;Les flux de données</div>
        <p>L'écran des flux de données permet de gérér les données disponibles sur le réseau, qui doivent être enregistrées et conservées.<br/>
        On arrive d'abord sur un écran qui liste les flux actuels connus. Il est possible d'en ajouter grâce au bouton "Nouveau", ou de modifier un flux existant et le sélectionnant.<br/>
        Les champs suivant sont utilisés :</p>
        <div class="enezh6">Nom :</div>
        <p>Nom du flux. C'est ce nom qui est affiché.</p>
        <div class="enezh6">Code :</div>
        <p>Code de ce flux de données. <br/>Il doit être unique car c'est ce code qui permet à la base de données d'enregistrer et de récupérer les données de ce flux.</p>
        <div class="enezh6">Description :</div>
        <p>Description et complèments d'information sur ce flux de données. C'est juste à titre informatif pour l'utilisateur</p>
        <div class="enezh6">Topic MQTT :</div>
        <p>il s'agit du "topic" MQTT, un identifiant, auquel souscrire pour récupérer les données de ce flux. (Ne doit pas commencer par "/").</p>
        <div class="enezh6">Règles supplémentaires :</div>
        <p>Il est possible de renseigner des règles supplémentaires qui vont régir l'enregistrement des données<br/>
        Pour le moment, et pour des questions de commodité et de souplesse, ces règles sont enregistrées au format <a href="http://json.org/">json</a>
        </p>
        <p><b>Valeur minimal du changement :</b><br> 
        Il est possible de spécifier une différence de valeur nécessaire pour déclencher l'enregistrement des données. En effet, il peut sembler inutile d'enregistrer plusieurs fois de suite la même données, ou des données très proches.<br/>
        Le mot clè utilisé sera <strong>delta</strong>, auquel il faut ajouter le nom de la colonne à prendre en compte. Dans le cas de documents json imbriqués, l'élément de détail est indiqué entre parentèses après l'élément principal.<br/>
        Le champ "Dernières données" décrit ci-dessous est justement là pour montrer comment sont formatées les données du flux afin de choisir la colonne intéressante à utiliser.<br/>
        Un exemple pourrait être <em>{"col": "temp", "delta": 0.5}</em>, ce qui signifierait de n'enregistrer les données que si la valeur associée à l'élément nommé "temp" dépasse de "delta", ici 0.5, la dernière valeur enregistrée.
        </p>
        <p><b>Valeur moyenne dans l'intervale :</b><br> 
        On peut vouloir n'enregistrer les données que toutes les 5 minutes par exemple, non pas en prenant la dernière mesure, mais en effectuant une moyenne des mesures reçues.<br/>
        Pour cela, les mots clés nécessaires seront <strong>avg</strong> afin de spécifier la colonne de donnée à utiliser, et <strong>interval</strong> afin de spécifier l'interval de temps sur lequel faire les moyennes.<br/>
        Un exemple pourrait être <em>{"avg": "temp", "time": 600}</em>, ce qui signifierait de n'enregistrer tout les 10 minutes (600 secondes) la moyenne des données reçues durant cet interval de temps. A noter que l'heure retenue pour la mesure sera au milieu de l'interval de temps concerné.
        </p>
        <div class="enezh6">Dernières données :</div>
        <p>Cette donnée est présentée à titre indicatif et n'est pas modifiable via cet écran.</p>
      </li>

      <li>
        <br/>
        <div id="help_card" class="enezh5"><i class="material-icons" style="color: #7b1fa2; position: relative; vertical-align: baseline; bottom: -0.15em;">dashboard</i>&nbsp;Tableau de bord</div>
        <p>L'écran tableau de bord permet de gérér les carte affichées sur l'écran d'accueil. Chaque carte est associée à un écran de graphique.<br/>
        Les champs suivant sont affichés :</p>
        <div class="enezh6">Titre :</div>
        <p>Titre de la carte et du graphique associé.</p>
        <div class="enezh6">Couleur de fond :</div>
        <p>C'est tout simplement la couleur de fond de la carte dans l'écran principal.<br/>
        Rose par défaut, il est possible de personnaliser la carte.</p>
        <div class="enezh6">Légende :</div>
        <p>Légende verticale affichée à gauche du graphique associé.</p>
        <div class="enezh6">Périodes :</div>
        <p>C'est le nombre de jour à afficher dans le graphique.<br/>
        S'il n'y a pas de choix possible, toujours le dernier jour par exemple, saisir simplement "1". <br>
        Mais si l'on souhaite pouvoir accéder en option à des périodes plus longues, il est possible de spécifier ces périodes. Les différentes périodes doivent être séparée par une vigule<br/>
        Ces différentes périodes seront accessibles via le menu de l'écran. Par défaut, c'est la première période qui sera affichée.
        <div class="enezh6">Flux d'origine :</div>
        <p>Pour savoir d'où vient la données à tracer, il faut indiquer le flux d'origine de cette donnée<br/>
        La liste des flux disponibles est proposée.</p>
        <div class="enezh6">Type de graphique :</div>
        <p>Choix du type de graphique, déterminant la façon dont est tracée la courbe.<br/>
        2 types sont disponibles pour le moment :
        <br/>&nbsp; &nbsp; &bull; Lissé &rarr; C'est le type par défaut, avec des angles adoucis. Courbe de température par exemple.
        <br/>&nbsp; &nbsp; &bull; Escalier &rarr; Un trait horizontal est tracé jusqu'à la valeur suivante. Typique d'un compteur électrique par exemple avec de brusques changements.
        </p>
        <div class="enezh6">Elément à tracer :</div>
        <p>C'est l'élément du flux à utiliser pour tracer la courbe.<br>
        Un flux peut-être composé de plusieurs données. Les données d'un flux sont nommés. Il faut donc utiliser le nom de la données au sein du flux.<br/>
        Dans le cas de documents json imbriqués, comme ceux générés par les capteurs <a href="https://github.com/arendst/Sonoff-Tasmota/wiki">Tasmota</a>, l'élément de détail est indiqué entre parentèses après l'élément principal. Par exemple, pour le cas d'un compteur d'énergy électrique, l'ensemble des informations est indiqué dans la balise "ENERGY". Si c'est l'élément "Power" qui nous intéresse, ce sera noté "ENERGY(Power)"<br/>
        <a href="#help_flux" style="color: #7b1fa2;">L'écran de définition des flux</a> affiche le dernier flux reçu. Le consulter peut aider à trouver la données à remplir ici.
        </p>
        <div class="enezh6">Unité à afficher :</div>
        <p>Sur la carte, la valeur est affichée avec son unité.<br/>
        De même, la légende du graphique précise l'unité.<br/>
        Enfin, lorsque que la souris parcours une courbe, la valeur du point correspondant est affiché, avec son unité.<br/>
        A noter également que l'unité est renvoyée en en-tête des documents .csv ou json des historiques de donnée.</p>
        <div class="enezh6">Nombre de décimales :</div>
        <p>Lorsque que la souris parcours une courbe, la valeur du point correspondant est affiché. Afin d'avoir un affichage homogène, il est intéressant de fixer le nombre de décimal à utiliser.</p>
      </li>

      <li>
        <br/>
        <div id="help_mqtt" class="enezh5"><i class="material-icons" style="color: #7b1fa2; position: relative; vertical-align: baseline; bottom: -0.15em;">link</i>&nbsp;Serveur MQTT</div>
        <p>Cet écran permet de configurer les paramètres du service MQTT par défaut.</p>
        <p>C'est le service qui permet de faire circuler les données entre les capteurs, et les écrans et services de sauvegarde.<br/>
        Les informations techniques sur le protocole MQTT sont disponibles <a href="http://mqtt.org/">ici</a>.</p>
        <p>Il faut renseigner :<br/>
        &nbsp;- le <b>broker</b> : C'est l'adresse IP ou nom de la machine sur le réseau.<br/>
        &nbsp;- le <b>port</b> : qui est utilisé pour accèder au service MQTT, via le protocole MQTT. par exemple 8324.<br/>
        &nbsp;- le <b>port HTTP</b> : qui est utilisé pour accèder au service MQTT via websocket (client HTTP)<br/>
        &nbsp;- l'<b>utilisateur</b> : Dans le cas ou le service nécessite une authentification, il s'agit du nom de l'utilisateur autorisé à accéder au service MQTT.<br/>
        &nbsp;- le <b>mot de passe</b> : associé à l'utilisateur autorisé à accéder au service MQTT.</p>
      </li>

<!--
      <li>
        <br/>
        <div id="help_stopDiaz" class="enezh5"><i class="material-icons" style="color: #7b1fa2; position: relative; vertical-align: baseline; bottom: -0.15em;">warning</i>&nbsp;Stop enezDiaz !</div>
        <p>Cette commande est destinée à envoyer une demande d'arrêt au service enezDiaz qui se charge d'enregistrer les données automatiquement au fur et à mesure de leur arrivée.<br/>
        Cette option apportant plus de problèmes que de solutions, elle est pour le moment désactivée.</p>
      </li>
-->

      <li>
        <br/>
        <div id="help_help" class="enezh5"><i class="material-icons" style="color: #7b1fa2; position: relative; vertical-align: baseline; bottom: -0.15em;">help</i>&nbsp;Aide...</div>
        <p>Un lien vers cette page !</p>
      </li>
 
      <li>
        <br/>
        <div id="help_admin" class="enezh5"><i class="material-icons" style="color: #7b1fa2; position: relative; vertical-align: baseline; bottom: -0.15em;">person</i>&nbsp;Administrateur</div>
        <p>Le but est de ne rendre accessible les pages d'administration qu'après avoir saisi un code confidentiel d'accès.<br/>
        Evidemment, il est possible de modifier ce code via cet écran.</p>
      </li>

    </ul>

    <br/>
  
    <button class="btn waves-effect waves-light enezgrbutton" type="reset" onclick="location.href='{{ url_for('main') }}'">Retour
      <i class="material-icons right">keyboard_return</i>
    </button>
    <br/>&nbsp;<br/>
  </div>
</div>
{% endblock %}